Bug 27200 - "Browse search" is broken
Summary: "Browse search" is broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-11 09:21 UTC by Jonathan Druart
Modified: 2021-06-14 21:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01


Attachments
Bug 27200: (bug 20168 follow-up) Fix 'Browse search' (5.03 KB, patch)
2020-12-11 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27200: (follow-up) Browse search interface update (23.92 KB, patch)
2020-12-16 19:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27200: (bug 20168 follow-up) Fix 'Browse search' (5.09 KB, patch)
2020-12-17 21:20 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27200: (follow-up) Browse search interface update (23.95 KB, patch)
2020-12-17 21:20 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 27200: (bug 20168 follow-up) Fix 'Browse search' (5.09 KB, patch)
2020-12-21 16:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27200: (follow-up) Browse search interface update (23.98 KB, patch)
2020-12-21 16:20 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-11 09:21:28 UTC
The error is displayed (when it must be hidden): "An error occurred, please try again." and clicking the "Search" button does not do anything.

Caused by 
  commit 9cb89b46397efc5e288723829613c33e7eea0d69
  Bug 20168: Update of the OPAC bootstrap template to bootstrap v4
Comment 1 Jonathan Druart 2020-12-11 10:20:31 UTC
Created attachment 114324 [details] [review]
Bug 27200: (bug 20168 follow-up) Fix 'Browse search'

The 'hidden' class has been replaced by 'd-none' on bug 20168
Comment 2 Jonathan Druart 2020-12-11 10:21:26 UTC
This patch fixes the original issue, but screen still does not look very nice.
Comment 3 Craig 2020-12-11 15:06:40 UTC
Confirming that Jonathan's patch has restored the ability to search. However, the error statement is still visible and there are some css adjustments necessary as indicated.

To address these, I've simply added the following to OpacUserCSS until they can be patched in a subsequent Koha version:

#browse-search .error {display: none;}
#browse-search #browse-selection {padding-top: 15px;}
#browse-search #browse-searchresults, #browse-search #browse-selectionsearch {border: none;}

Thank you to all!
Comment 4 Owen Leonard 2020-12-16 19:00:23 UTC
Created attachment 114462 [details] [review]
Bug 27200: (follow-up) Browse search interface update

This patch updates the browse search interface to confirm to new
interface patterns in the Bootstrap 4 framework, especially in the form
markup.

The results list has been changed to a Bootstrap "Collapse" component
configured as an accordion
(https://getbootstrap.com/docs/4.5/components/collapse/#accordion-example).

Instead of loading the bibliographic record results below the list of
terms returned, the bibliographic results are now displayed in the
"panel" expanded below the selected term. Subtitle has been added to the
information displayed about the bibliographic record.

To test you must be using ElasticSearch and the OpacBrowseSearch
preference must be enabled. Apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Open the "Browse search" page in the OPAC.
- Test various searches: Author, Subject, and Title.
- When results are found, the should be displayed as a Bootstrap-styled
  accordion widget. Clicking any individual result should expand the
  panel containing the corresponding records.
- Clicking the record link should open the bibliographic detail page in
  a new window.
- When no results are found, a Bootstrap-style "alert" box should
  appear.
Comment 5 Victor Grousset/tuxayo 2020-12-17 21:20:34 UTC
Created attachment 114500 [details] [review]
Bug 27200: (bug 20168 follow-up) Fix 'Browse search'

The 'hidden' class has been replaced by 'd-none' on bug 20168

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 6 Victor Grousset/tuxayo 2020-12-17 21:20:37 UTC
Created attachment 114501 [details] [review]
Bug 27200: (follow-up) Browse search interface update

This patch updates the browse search interface to confirm to new
interface patterns in the Bootstrap 4 framework, especially in the form
markup.

The results list has been changed to a Bootstrap "Collapse" component
configured as an accordion
(https://getbootstrap.com/docs/4.5/components/collapse/#accordion-example).

Instead of loading the bibliographic record results below the list of
terms returned, the bibliographic results are now displayed in the
"panel" expanded below the selected term. Subtitle has been added to the
information displayed about the bibliographic record.

To test you must be using ElasticSearch and the OpacBrowseSearch
preference must be enabled. Apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Open the "Browse search" page in the OPAC.
- Test various searches: Author, Subject, and Title.
- When results are found, the should be displayed as a Bootstrap-styled
  accordion widget. Clicking any individual result should expand the
  panel containing the corresponding records.
- Clicking the record link should open the bibliographic detail page in
  a new window.
- When no results are found, a Bootstrap-style "alert" box should
  appear.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 7 Nick Clemens 2020-12-21 16:20:24 UTC
Created attachment 114566 [details] [review]
Bug 27200: (bug 20168 follow-up) Fix 'Browse search'

The 'hidden' class has been replaced by 'd-none' on bug 20168

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Nick Clemens 2020-12-21 16:20:27 UTC
Created attachment 114567 [details] [review]
Bug 27200: (follow-up) Browse search interface update

This patch updates the browse search interface to confirm to new
interface patterns in the Bootstrap 4 framework, especially in the form
markup.

The results list has been changed to a Bootstrap "Collapse" component
configured as an accordion
(https://getbootstrap.com/docs/4.5/components/collapse/#accordion-example).

Instead of loading the bibliographic record results below the list of
terms returned, the bibliographic results are now displayed in the
"panel" expanded below the selected term. Subtitle has been added to the
information displayed about the bibliographic record.

To test you must be using ElasticSearch and the OpacBrowseSearch
preference must be enabled. Apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Open the "Browse search" page in the OPAC.
- Test various searches: Author, Subject, and Title.
- When results are found, the should be displayed as a Bootstrap-styled
  accordion widget. Clicking any individual result should expand the
  panel containing the corresponding records.
- Clicking the record link should open the bibliographic detail page in
  a new window.
- When no results are found, a Bootstrap-style "alert" box should
  appear.

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 9 Jonathan Druart 2020-12-26 17:15:30 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2020-12-30 14:20:26 UTC
Pushed to 20.11.x for 20.11.01
Comment 11 Andrew Fuerste-Henry 2021-01-04 15:34:54 UTC
Missing dependencies, not backported to 20.05